/*
  This file is part of SLS.
  Copyright (C) 2008 Sebastien LUTTRINGER (<contact@seblu.net> )

  SLS is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  SLS is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with SLS; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  US
*/

#ifndef OPTIONS_HH
# define OPTIONS_HH

struct Option {
  Option();

  Option &load(int argc, char *argv[]);
  Option &loadenv();

  void usage(const char *name, ostream &out) const;

  friend ostream &operator<<(ostream &, const Option &);

  bool verbose;
  string database;

  // socket option
  int port;

  // daemon options
  bool daemon;
  bool closefd;
  string pidfile;
  string logfile;

};

#endif
